{ lib, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
  ];

  sbruder = {
    nginx.hardening.enable = true;
    wireguard.home.enable = true;
  };

  networking.hostName = "nazuna";

  system.stateVersion = "23.05";

  services.nginx = {
    enable = true;

    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;
  };
  networking.firewall.allowedTCPPorts = [ 80 443 ];
  systemd.services.nginx.serviceConfig.SupplementaryGroups = lib.singleton "keys";

  sbruder.qbittorrent = {
    enable = true;
    fqdn = "sturzbach.sbruder.de";
  };

  services.nginx.virtualHosts."sturzbach.sbruder.de" = {
    enableACME = true;
    forceSSL = true;
  };
}
